package com.ruoyi.applet.contoller;

import com.ruoyi.applet.pojo.dto.ApiQueryIIdDTO;
import com.ruoyi.applet.pojo.vo.AppletIcon;
import com.ruoyi.applet.utils.conf.AppletUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.domain.*;
import com.ruoyi.model.service.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

@Api(description = "伴宠师-工作台外部")
@RestController
@RequestMapping("/applet/workIn")
public class ApiAppletHhrWorkInController extends BaseController {

//    @Autowired
//    private IIndexconfigIconService indexconfigIconService;
//
//    @Autowired
//    private IIndexconfigService indexConfigService;

    @Autowired
    private IAppUsersService appUsersService;

//    @Autowired
//    private IIndexPartnerConfigService iIndexPartnerConfigService;


    //1.查询轮播图接口
    @Autowired
    private IAppBannerService iAppBannerService;

    @ApiOperation("轮播图列表")
    @GetMapping("/bannerList")
    public AjaxResult bannerList(){
        List<AppBanner> bannerList = iAppBannerService.getBannerList();
        return AjaxResult.success("轮播图列表",bannerList);
    }
//
//    @ApiOperation("未加入的工作台图标配置查询")
//    @GetMapping("/indexConfigIco")
//    public AjaxResult getIndexConfigIcon(){
////        List<IndexconfigIcon> indexconfigIconByIdentity = indexconfigIconService.getIndexconfigIconByIdentity();
//        List<AppletIcon> list = new ArrayList<>();
//        AppletIcon icon1 = new AppletIcon();
//        icon1.setType(0);
//        icon1.setImage("https://image.hhlm1688.com/img/work/log/indexInfo/1.png");
//        icon1.setName("用户绑定");
//        icon1.setUrl("/otherPages/workbenchManage/bindUser/index");
//        AppletIcon icon2 = new AppletIcon();
//        icon2.setType(0);
//        icon2.setImage("https://image.hhlm1688.com/img/work/log/indexInfo/2.png");
//        icon2.setName("我的用户");
//        icon2.setUrl("/otherPages/workbenchManage/myUser/");
//
//
//
//
//        return AjaxResult.success(list);
//    }

    @ApiOperation("已加入的工作台图标配置查询")
    @GetMapping("/indexConfig")
    public TableDataInfo getIndexConfig(){
        List<AppletIcon> list = new ArrayList<>();
        AppletIcon icon1 = new AppletIcon();
        icon1.setType(0);
        icon1.setImage("https://image.hhlm1688.com/img/work/log/indexInfo/1.png");
        icon1.setName("用户绑定");
        icon1.setUrl("/otherPages/workbenchManage/bindUser/index");

        AppletIcon icon2 = new AppletIcon();
        icon2.setType(0);
        icon2.setImage("https://image.hhlm1688.com/img/work/log/indexInfo/2.png");
        icon2.setName("我的用户");
        icon2.setUrl("/otherPages/workbenchManage/myUser/");

        AppletIcon icon3 = new AppletIcon();
        icon3.setType(0);
        icon3.setImage("https://image.hhlm1688.com/img/work/log/indexInfo/3.png");
        icon3.setName("我的等级");
        icon3.setUrl("/otherPages/workbenchManage/myLevel/index");

        AppletIcon icon4 = new AppletIcon();
        icon4.setType(0);
        icon4.setImage("https://image.hhlm1688.com/img/work/log/indexInfo/4.png");
        icon4.setName("我的钱包");
        icon4.setUrl("/otherPages/workbenchManage/myWallet/index");

        list.add(icon1);
        list.add(icon2);
        list.add(icon3);
        list.add(icon4);


        AppletIcon icon5 = new AppletIcon();
        icon5.setType(1);
        icon5.setImage("https://image.hhlm1688.com/img/work/log/indexInfo/5.png");
        icon5.setName("服务信息");
        icon5.setUrl("/otherPages/authentication/serve/index");

        AppletIcon icon6 = new AppletIcon();
        icon6.setType(1);
        icon6.setImage("https://image.hhlm1688.com/img/work/log/indexInfo/6.png");
        icon6.setName("服务记录");
        icon6.setUrl("");

        AppletIcon icon7 = new AppletIcon();
        icon7.setType(1);
        icon7.setImage("https://image.hhlm1688.com/img/work/log/indexInfo/7.png");
        icon7.setName("平台手册");
        icon7.setUrl("");

        AppletIcon icon8 = new AppletIcon();
        icon8.setType(1);
        icon8.setImage("https://image.hhlm1688.com/img/work/log/indexInfo/8.png");
        icon8.setName("我的评价");
        icon8.setUrl("/otherPages/orderTakingManage/evaluate/index");

        AppletIcon icon9 = new AppletIcon();
        icon9.setType(1);
        icon9.setImage("https://image.hhlm1688.com/img/work/log/indexInfo/9.png");
        icon9.setName("接单地址");
        icon9.setUrl("/otherPages/authentication/connectAddress/index");

        list.add(icon5);
        list.add(icon6);
        list.add(icon7);
        list.add(icon8);
        list.add(icon9);



        return getDataTable(list);
    }


//    @ApiOperation("查询加入合伙人提示配置列表")
//    @GetMapping("/list")
//    public TableDataInfo list(){
////        List<IndexPartnerConfig> indexPartnerConfigList = iIndexPartnerConfigService.getIndexPartnerConfigList();
//        return AjaxResult.success();
//    }


    @ApiOperation("申请加入合伙人")
    @PostMapping("/joinHh")
    public AjaxResult joinHh(@RequestBody ApiQueryIIdDTO dto){
//        AppUsers localAppletUser = AppletUtil.getLocalAppletUser();
        AppUsers localAppletUser = new AppUsers();
        localAppletUser.setUserId(dto.getAppUserId());
        localAppletUser.setUserHh(1);
        appUsersService.updateAppUsers(localAppletUser);
        return AjaxResult.success("申请成功合伙人");
    }
//
//    @ApiOperation("申请加入伴宠师-需要token")
//    @PostMapping("/joiBcs")
//    public AjaxResult joiBcs(@RequestBody ApiQueryIIdDTO dto){
//        AppUsers localAppletUser = new AppUsers();
//        localAppletUser.setUserId(dto.getAppUserId());
//        localAppletUser.setUserBcs(1);
//        appUsersService.updateAppUsers(localAppletUser);
//        return AjaxResult.success("申请成功伴宠师");
//    }


}
