package com.ruoyi.model.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 宠物信息对象 applet_pet
 * 
 * @author ruoyi
 * @date 2025-03-30
 */
public class AppletPet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 宠物头像 */
    @Excel(name = "宠物头像")
    private String headImage;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 品种 */
    @Excel(name = "品种")
    private String type;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 体重（kg） */
    @Excel(name = "体重", readConverterExp = "k=g")
    private BigDecimal weight;

    /** 性格 */
    @Excel(name = "性格")
    private String personality;

    /** 疫苗（是否已接种） */
    @Excel(name = "疫苗", readConverterExp = "是=否已接种")
    private Integer vaccine;

    /** 驱虫（是否已处理） */
    @Excel(name = "驱虫", readConverterExp = "是=否已处理")
    private Integer deworm;

    /** 绝育（是否已绝育） */
    @Excel(name = "绝育", readConverterExp = "是=否已绝育")
    private Integer neutered;

    /** 健康状况 */
    @Excel(name = "健康状况")
    private String health;

    /** 删除标识 */
    private Integer delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setHeadImage(String headImage) 
    {
        this.headImage = headImage;
    }

    public String getHeadImage() 
    {
        return headImage;
    }
    public void setNickName(String nickName) 
    {
        this.nickName = nickName;
    }

    public String getNickName() 
    {
        return nickName;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setBirthday(Date birthday) 
    {
        this.birthday = birthday;
    }

    public Date getBirthday() 
    {
        return birthday;
    }
    public void setWeight(BigDecimal weight) 
    {
        this.weight = weight;
    }

    public BigDecimal getWeight() 
    {
        return weight;
    }
    public void setPersonality(String personality) 
    {
        this.personality = personality;
    }

    public String getPersonality() 
    {
        return personality;
    }
    public void setVaccine(Integer vaccine) 
    {
        this.vaccine = vaccine;
    }

    public Integer getVaccine() 
    {
        return vaccine;
    }
    public void setDeworm(Integer deworm) 
    {
        this.deworm = deworm;
    }

    public Integer getDeworm() 
    {
        return deworm;
    }
    public void setNeutered(Integer neutered) 
    {
        this.neutered = neutered;
    }

    public Integer getNeutered() 
    {
        return neutered;
    }
    public void setHealth(String health) 
    {
        this.health = health;
    }

    public String getHealth() 
    {
        return health;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("headImage", getHeadImage())
            .append("nickName", getNickName())
            .append("sex", getSex())
            .append("type", getType())
            .append("birthday", getBirthday())
            .append("weight", getWeight())
            .append("personality", getPersonality())
            .append("vaccine", getVaccine())
            .append("deworm", getDeworm())
            .append("neutered", getNeutered())
            .append("health", getHealth())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
